TVContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.graphics
Class TVContainer

    java.lang.Object
      javax.tv.graphics.TVContainer

    public class TVContainer

extends Object

A class that allows an Xlet to get the root container for its AWT components.

Version:
  1.12, 06/23/00

Constructor Summary
`TVContainer()`

Method Summary
`static Container` | `getRootContainer(XletContext ctx)` Get the parent container for an Xlet to put its AWT components in, if the Xlet has a graphical representation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TVContainer

    public TVContainer()

Method Detail

### getRootContainer

    public static Container getRootContainer(XletContext ctx)

  Get the parent container for an Xlet to put its AWT components in, if the Xlet has a graphical representation. Xlets without a graphical representation should never call this method. If the Xlet is the only Xlet that is currently active to invoke this method, it will return an instance of `java.awt.Container` that is initially invisible, with an undefined size and position. If another Xlet that is currently active has requested a root container (via this API, or some other platform-specific API), this method may return null.

  If this method is called multiple times for the same XletContext, the same container will be returned each time.

  The methods for setting the size and position of the xlet's root container shall attempt to change the shape of the container, but they may fail silently or make platform specific approximations. For example, a request to change the shape of the root container might result in its overlapping with another root container, and overlapping root containers might not be supported by the hardware. An application that needs to discover if a request to change the size or position has succeeded should query the component for the result.

  Parameters:
    `ctx` - The XletContext for the Xlet requesting the container. See the package documentation for javax.tv.xlet for a description of the relationship between Xlet and XletContext.
  Returns:
    An invisible container with an undefined size and position, or null if a container is unavailable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD